Package org.apache.any23.extractor.rdf

## Class FunctionalSyntaxExtractor

- java.lang.Object
- - org.apache.any23.extractor.rdf.BaseRDFExtractor
  - - org.apache.any23.extractor.rdf.FunctionalSyntaxExtractor

- All Implemented Interfaces:
    `org.apache.any23.extractor.Extractor<InputStream>`, `org.apache.any23.extractor.Extractor.ContentExtractor`

      public class FunctionalSyntaxExtractor
      extends BaseRDFExtractor

  Concrete implementation of `Extractor.ContentExtractor` handling OWL2 Functional-Style Syntax format.
  Author:
    Peter Ansell

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.any23.extractor.Extractor

      `org.apache.any23.extractor.Extractor.BlindExtractor, org.apache.any23.extractor.Extractor.ContentExtractor, org.apache.any23.extractor.Extractor.TagSoupDOMExtractor`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FunctionalSyntaxExtractor()` |
    `FunctionalSyntaxExtractor​(boolean verifyDataType, boolean stopAtFirstError)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.apache.any23.extractor.ExtractorDescription` | `getDescription()` |
    `protected org.eclipse.rdf4j.rio.RDFParser` | `getParser​(org.apache.any23.extractor.ExtractionContext extractionContext, org.apache.any23.extractor.ExtractionResult extractionResult)` |

    - ### Methods inherited from class org.apache.any23.extractor.rdf.BaseRDFExtractor

      `isStopAtFirstError, isVerifyDataType, run, setStopAtFirstError, setVerifyDataType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FunctionalSyntaxExtractor

          public FunctionalSyntaxExtractor​(boolean verifyDataType,
                                           boolean stopAtFirstError)

    - #### FunctionalSyntaxExtractor

          public FunctionalSyntaxExtractor()

  - ### Method Detail

    - #### getDescription

          public org.apache.any23.extractor.ExtractorDescription getDescription()

    - #### getParser

          protected org.eclipse.rdf4j.rio.RDFParser getParser​(org.apache.any23.extractor.ExtractionContext extractionContext,
                                                              org.apache.any23.extractor.ExtractionResult extractionResult)

      Specified by:
        `getParser` in class `BaseRDFExtractor`